import logging


class Feed:
    @classmethod
    def prompt_auth(cls, existing_config: dict) -> dict:
        return existing_config

    def __init__(self, config: dict = None, **kwargs):
        self.logger = logging.getLogger(self.__class__.__name__)
        self.config = config or {}

    def __enter__(self):
        return self

    def post(self, message: str, **kwargs):
        print(f"Posting {message}")

    def run(self):
        self.post("Hello, World!")

    def __exit__(self, exc_type, exc_value, traceback):
        pass
